# Uses of Interface
org.lwjgl.opengl.Drawable

Packages that use Drawable
Package
Description
org.lwjgl.opencl
org.lwjgl.opengl

## Uses of Drawable in org.lwjgl.opencl

Methods in org.lwjgl.opencl with parameters of type Drawable
Modifier and Type
Method
Description
`static CLContext`
CLContext.`create(CLPlatform platform, List<CLDevice> devices, CLContextCallback pfn_notify, Drawable share_drawable, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`createFromType(CLPlatform platform, long device_type, CLContextCallback pfn_notify, Drawable share_drawable, IntBuffer errcode_ret)`
Creates a new CLContext.

## Uses of Drawable in org.lwjgl.opengl

Classes in org.lwjgl.opengl that implement Drawable
Modifier and Type
Class
Description
`class`
`AWTGLCanvas`
An AWT rendering context.
`final class`
`Pbuffer`
Pbuffer encapsulates an OpenGL pbuffer.
`final class`
`SharedDrawable`
A Drawable implementation that shares its context with another Drawable.
Methods in org.lwjgl.opengl that return Drawable
Modifier and Type
Method
Description
`static Drawable`
Display.`getDrawable()`
Fetch the Drawable from the Display.
Methods in org.lwjgl.opengl with parameters of type Drawable
Modifier and Type
Method
Description
`static void`
Display.`create(PixelFormatLWJGL pixel_format, Drawable shared_drawable)`
Create the OpenGL ES context with the given minimum parameters.
`static void`
Display.`create(PixelFormatLWJGL pixel_format, Drawable shared_drawable, ContextAttribs attribs)`
Create the OpenGL ES context with the given minimum parameters.
`static void`
Display.`create(PixelFormat pixel_format, Drawable shared_drawable)`
Create the OpenGL context with the given minimum parameters.
`static void`
Display.`create(PixelFormat pixel_format, Drawable shared_drawable, ContextAttribs attribs)`
Create the OpenGL context with the given minimum parameters.
Constructors in org.lwjgl.opengl with parameters of type Drawable
Modifier
Constructor
Description
``
`AWTGLCanvas(GraphicsDevice device, PixelFormat pixel_format, Drawable drawable)`
Create an AWTGLCanvas with the requested PixelFormat on the specified GraphicsDevice.
``
`AWTGLCanvas(GraphicsDevice device, PixelFormat pixel_format, Drawable drawable, ContextAttribs attribs)`
Create an AWTGLCanvas with the requested PixelFormat on the specified GraphicsDevice.
``
`Pbuffer(int width, int height, PixelFormat pixel_format, Drawable shared_drawable)`
Create an instance of a Pbuffer with a unique OpenGL context.
``
`Pbuffer(int width, int height, PixelFormat pixel_format, RenderTexture renderTexture, Drawable shared_drawable)`
Create an instance of a Pbuffer with a unique OpenGL context.
``
`Pbuffer(int width, int height, PixelFormat pixel_format, RenderTexture renderTexture, Drawable shared_drawable, ContextAttribs attribs)`
Create an instance of a Pbuffer with a unique OpenGL context.
``
`SharedDrawable(Drawable drawable)`